Update Company
curl --request PUT \
--url https://api.ontora.com/v1/hubspot/companies/{company_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"industry": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"lead_status": "<string>",
"lifecycle_stage": "<string>",
"owner": "<string>",
"year_founded": "<string>",
"website_url": "<string>"
}
'import requests
url = "https://api.ontora.com/v1/hubspot/companies/{company_id}"
payload = {
"name": "<string>",
"industry": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"lead_status": "<string>",
"lifecycle_stage": "<string>",
"owner": "<string>",
"year_founded": "<string>",
"website_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
industry: '<string>',
description: '<string>',
country: '<string>',
city: '<string>',
lead_status: '<string>',
lifecycle_stage: '<string>',
owner: '<string>',
year_founded: '<string>',
website_url: '<string>'
})
};
fetch('https://api.ontora.com/v1/hubspot/companies/{company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"industry": "<string>",
"description": "<string>",
"country": "<string>",
"city": "<string>",
"lead_status": "<string>",
"lifecycle_stage": "<string>",
"owner": "<string>",
"year_founded": "<string>",
"website_url": "<string>",
"created_date": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}hubspot
Update Company
Update a company in HubSpot.
PUT
/
v1
/
hubspot
/
companies
/
{company_id}
Update Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
Was this page helpful?
⌘I